aboutsummaryrefslogtreecommitdiff
path: root/ding
diff options
context:
space:
mode:
Diffstat (limited to 'ding')
-rwxr-xr-xding17
1 files changed, 17 insertions, 0 deletions
diff --git a/ding b/ding
new file mode 100755
index 0000000..e89cf00
--- /dev/null
+++ b/ding
@@ -0,0 +1,17 @@
+#!/bin/sh
+#
+# Usage: ding <command>
+# Just play a ding when the command is finished :)
+###############################################################################
+
+CACHE_DIR=${XDG_CACHE_HOME:-$HOME/.cache}
+
+OK_DING_URL=https://gramos.me/sounds/macos8/Indigo.ogg
+OK_DING=$CACHE_DIR/indigo.ogg
+[ -f "$OK_DING" ] || curl $OK_DING_URL --create-dirs -so "$OK_DING"
+
+ERROR_DING_URL=https://gramos.me/sounds/macos8/Quack.ogg
+ERROR_DING=$CACHE_DIR/quack.ogg
+[ -f "$ERROR_DING" ] || curl $ERROR_DING_URL --create-dirs -so "$ERROR_DING"
+
+"$@" && { mpv --no-terminal "$OK_DING" & } || { mpv --no-terminal "$ERROR_DING" & }